using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpeedObject : MonoBehaviour {

    private BoxCollider trigger;
    public float multiplier = 200f;

	// Use this for initialization
	void Start () {
        trigger = GetComponent<BoxCollider>();
        print(trigger);
    }
	
	// Update is called once per frame
	void FixedUpdate () {
		
	}

    private void OnTriggerEnter(Collider collider)
    {
        PlayerController controller = collider.GetComponent<PlayerController>();
        controller.runSpeedFactor *= 2;
    }
}
